package intrinsic.mx.effects.effectClasses;

public class SoundEffectInstance extends intrinsic.mx.effects.EffectInstance {

	/** Accessors */
	public intrinsic.flash.media.SoundChannel soundChannel;
	public boolean isLoading;
	public Object source;

	/** Variables */
	public double panTo;
	public double startTime;
	public int loops;
	public intrinsic.Function panEasingFunction;
	public double panFrom;
	public double volumeTo;
	public double bufferTime;
	public intrinsic.Function volumeEasingFunction;
	public double volumeFrom;
	public boolean useDuration;
	public intrinsic.flash.media.Sound sound;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SoundEffectInstance() {
}

public SoundEffectInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void finishEffect();
public native void resume();
public native void end();
public native void pause();
public native void play();
public native void stop();

}
